Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 881002 - [abrt] eekboard-1.0.7-2.fc17: g_type_check_instance_cast: Process /usr/bin/eekboard-server was killed by signal 11 (SIGSEGV)
Summary: [abrt] eekboard-1.0.7-2.fc17: g_type_check_instance_cast: Process /usr/bin/ee...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eekboard
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ed66f0eb1cd912abe1c6fcba513...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-28 11:43 UTC by phanindra
Modified: 2012-12-28 05:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-28 05:46:58 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (2.14 KB, text/plain)
2012-11-28 11:43 UTC, phanindra
no flags Details
File: environ (943 bytes, text/plain)
2012-11-28 11:43 UTC, phanindra
no flags Details
File: limits (1.29 KB, text/plain)
2012-11-28 11:44 UTC, phanindra
no flags Details
File: backtrace (31.00 KB, text/plain)
2012-11-28 11:44 UTC, phanindra
no flags Details
File: smolt_data (3.53 KB, text/plain)
2012-11-28 11:44 UTC, phanindra
no flags Details
File: cgroup (132 bytes, text/plain)
2012-11-28 11:44 UTC, phanindra
no flags Details
File: executable (24 bytes, text/plain)
2012-11-28 11:44 UTC, phanindra
no flags Details
File: maps (36.95 KB, text/plain)
2012-11-28 11:44 UTC, phanindra
no flags Details
File: dso_list (7.31 KB, text/plain)
2012-11-28 11:44 UTC, phanindra
no flags Details
File: proc_pid_status (925 bytes, text/plain)
2012-11-28 11:44 UTC, phanindra
no flags Details
File: var_log_messages (342 bytes, text/plain)
2012-11-28 11:44 UTC, phanindra
no flags Details
File: open_fds (441 bytes, text/plain)
2012-11-28 11:45 UTC, phanindra
no flags Details

Description phanindra 2012-11-28 11:43:29 UTC
Version-Release number of selected component:
eekboard-1.0.7-2.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/bin/eekboard-server
crash_function: g_type_check_instance_cast
kernel:         3.6.7-4.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 g_type_check_instance_cast at gtype.c:3994
: #1 set_geometry at server-context-service.c:219
: #5 g_signal_emit_by_name at gsignal.c:3393
: #6 process_monitors_change at gdkscreen-x11.c:968
: #7 _gdk_x11_screen_size_changed at gdkscreen-x11.c:1003
: #8 gdk_x11_display_translate_event at gdkdisplay-x11.c:948
: #9 _gdk_x11_event_translator_translate at gdkeventtranslator.c:51
: #10 gdk_event_source_translate_event at gdkeventsource.c:240
: #11 _gdk_x11_display_queue_events at gdkeventsource.c:332
: #12 gdk_display_get_event at gdkdisplay.c:310

Comment 1 phanindra 2012-11-28 11:43:46 UTC
Created attachment 653438 [details]
File: core_backtrace

Comment 2 phanindra 2012-11-28 11:43:52 UTC
Created attachment 653439 [details]
File: environ

Comment 3 phanindra 2012-11-28 11:44:02 UTC
Created attachment 653440 [details]
File: limits

Comment 4 phanindra 2012-11-28 11:44:08 UTC
Created attachment 653441 [details]
File: backtrace

Comment 5 phanindra 2012-11-28 11:44:12 UTC
Created attachment 653442 [details]
File: smolt_data

Comment 6 phanindra 2012-11-28 11:44:17 UTC
Created attachment 653443 [details]
File: cgroup

Comment 7 phanindra 2012-11-28 11:44:22 UTC
Created attachment 653444 [details]
File: executable

Comment 8 phanindra 2012-11-28 11:44:28 UTC
Created attachment 653445 [details]
File: maps

Comment 9 phanindra 2012-11-28 11:44:43 UTC
Created attachment 653446 [details]
File: dso_list

Comment 10 phanindra 2012-11-28 11:44:51 UTC
Created attachment 653447 [details]
File: proc_pid_status

Comment 11 phanindra 2012-11-28 11:44:57 UTC
Created attachment 653448 [details]
File: var_log_messages

Comment 12 phanindra 2012-11-28 11:45:07 UTC
Created attachment 653449 [details]
File: open_fds

Comment 13 Daiki Ueno 2012-12-13 03:00:28 UTC
Could you test the latest version, which I've just backported from F-18?
https://admin.fedoraproject.org/updates/eekboard-1.0.8-2.fc17
It should have some crash fixes.

Comment 14 Daiki Ueno 2012-12-28 05:46:58 UTC
Closing as the update has been pushed to F17 stable.  If it does not fix your problem, please reopen.


Note You need to log in before you can comment on or make changes to this bug.